# OFB Python SDK

The `ofb-python-sdk` provides a Python interface for interacting with Microsoft's OneDrive. It simplifies the process of authenticating, uploading, downloading, and managing files on OneDrive through a simple and intuitive API. This SDK is particularly useful for developers who need to integrate OneDrive functionalities within their Python applications efficiently.

## Features

- Authentication with OAuth2
- Upload files to OneDrive (supports both small and large files)
- Download files from OneDrive
- Create and manage folders
- Delete files and folders
- Handle file conflicts with customizable behavior
- Rich progress bar integration for file uploads

## Installation

Install `ofb-python-sdk` using pip:

```bash
pip install sy-ofb-python-sdk
```

## Usage

See the [EXAMPLE.md](https://github.com/shing-yu/ofb-python-sdk/blob/main/EXAMPLE.md)

## Contributing

Contributions are welcome! Please read the [CONTRIBUTING.md](https://github.com/shing-yu/ofb-python-sdk/blob/main/CONTRIBUTING.md) for guidelines on how to contribute to this project.

## License

This project is licensed under the MIT License - see the [LICENSE](https://github.com/shing-yu/ofb-python-sdk/blob/main/LICENSE) file for details.

## Support

If you need assistance or encounter any bugs, please open an issue on the project's [GitHub issues page](https://github.com/shing-yu/ofb-python-sdk/issues).
